%Arquivo main.m
% Main program.
%%%%%%%%%%%%%%%%% Main Loop %%%%%%%%%%%%%%%%%%%%
for ii = 1: tfinal,
% Print the sampling instant.
ts1 = sprintf('t = %5.2f h', ii*tamost);
disp(ts1)
% Integrating the system.
Y0 = xold;
[t,Y] = ode45('model',[t0 tout],Y0);
[nl,nc] = size(Y);
x = Y(nl,:)'; % Get the last line of Y, which contains
% the value of state variable at tout.
% Store the states.
conc = [ conc ; x(1,1) ];
temp = [ temp ; x(2,1) ];
tref = [ tref ; x(3,1) ];
vett = [ vett ; ii*tamost ];
% Build the graphics.
figure(1)
grafico
drawnow
% Reset the time and go to the next iteration.
t0 = tout;
tout = tout + tamost;
xold = x;
end
% Building the last graphics.
figure(1)
grafico
drawnow