function dY = model(t,Y)
global CAO TO TJO omega gama gamaJ tau tauJ C1 E
CA = Y(1,:);
T = Y(2,:);
TJ = Y(3,:);
k = C1*exp( -E/T );
f1 = tau*(CAO - CA) - k*CA;
f2 = tau*(TO - T ) - omega*k*CA - gama*(T - TJ);
f3 = tauJ*(TJO - TJ) + gamaJ*( T - TJ );
dY = [f1;
f2;
f3];
end

